
ctools - Bug #2762

ctulimit fails with 1.6.0 dev1 when the best fit parameter hits its lowest allowed value

11/20/2018 05:16 PM - Sokolenko Anastasia

Status: Closed Start date: 11/20/2018

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

Doing some analysis for putting an upper limit on Dark Matter flux with 1.6.0 dev1 version of the ctools we noticed an issue with

ctulimit which was not there in previous stable versions. Namely, when the fit for some parameter hits its lowest allowed value, which

was zero in our case (ctulimit.log), ctulimit fails to calculate the upper limit. It is trying to find a limit in [0;0] range and obviously fails.

History

#1 - 12/12/2018 02:24 PM - Knödlseder Jürgen

- Project changed from GammaLib to ctools

#2 - 12/12/2018 02:26 PM - Knödlseder Jürgen

- Target version set to 1.6.0

#3 - 03/06/2019 02:27 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

The issue was that in case that the parameter error was larger than the parameter value, the error was set to the value, which means that in case for

a value of zero, the error was zero. This resulted in a bracketing range of [0,0].

I do not see any good reason to set the parameter error to the value in case that it is larger to the value. Therefore, I removed the additional code that

led to this feature.

#4 - 03/06/2019 03:31 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Code was merged into devel.

Files

ctulimit.log 10.5 KB 11/20/2018 Sokolenko Anastasia

Powered by TCPDF (www.tcpdf.org)

04/18/2024 1/1

http://www.tcpdf.org

